FLANG

Public Member Functions | Static Public Member Functions | List of all members
fir::DimsType Class Reference

`#include <flang/Optimizer/Dialect/FIRType.h>`

Inheritance diagram for fir::DimsType:

## Public Member Functions
unsigned | getRank () const
| returns -1 if the rank is unknown

## Static Public Member Functions
static DimsType | get (mlir::MLIRContext *ctx, unsigned rank)
static bool | kindof (unsigned kind)

## Detailed Description

The type of a runtime vector that describes triples of array dimension information. A triple consists of a lower bound, upper bound, and stride. Each dimension of an array entity may have an associated triple that maps how elements of the array are accessed.

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRType.h
- lib/Optimizer/Dialect/FIRType.cpp